### Function

# Gimp edit_named_copy_visible

since: 2.4

#### Declaration [src]

    gchar*
    gimp_edit_named_copy_visible (
      GimpImage* image,
      const gchar* buffer_name
    )

#### Description [src]

Copy from the projection into a named buffer.

This procedure works like gimp_edit_copy_visible(), but additionally stores the copied buffer into a named buffer that will stay available for later pasting, regardless of any intermediate copy or cut operations.

Available since: 2.4

#### Parameters

`image`

  Type: `GimpImage`

  The image to copy from.

  The data is owned by the caller of the function.

`buffer_name`

  Type: `const gchar*`

  The name of the buffer to create.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

         The real name given to the buffer, or NULL if the copy failed.
         The returned value must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.